gr::adapt::rls_filter_ff_impl Class Reference

`#include <rls_filter_ff_impl.h>`

Inheritance diagram for gr::adapt::rls_filter_ff_impl:
[legend]

## Public Member Functions

| rls_filter_ff_impl (bool first_input, int num_taps, float delta, float lambda, unsigned skip, unsigned decimation, bool adapt, bool reset)
| ~rls_filter_ff_impl ()=default
const std::vector< float > & | get_taps () override
void | set_taps (const std::vector< float > &new_taps) override
float | get_delta () const override
void | set_delta (float delta) override
float | get_lambda () const override
void | set_lambda (float lambda) override
unsigned | get_skip () const override
void | set_skip (unsigned skip) override
bool | get_adapt () const override
void | set_adapt (bool adapt) override
bool | get_reset () const override
void | set_reset (bool reset) override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions

float | error (const float &desired, const float &out)
void | update_tap (float &tap, const float &in)

## Additional Inherited Members

Public Types inherited from gr::adapt::rls_filter_ff
typedef boost::shared_ptr< rls_filter_ff > | sptr
Static Public Member Functions inherited from gr::adapt::rls_filter_ff
static sptr | make (bool first_input, int num_taps, float delta, float _lambda, unsigned skip, unsigned decimation, bool adapt, bool reset)

## Constructor & Destructor Documentation

## rls_filter_ff_impl()

gr::adapt::rls_filter_ff_impl::rls_filter_ff_impl | ( | bool | first_input,
|  | int | num_taps,
|  | float | delta,
|  | float | lambda,
|  | unsigned | skip,
|  | unsigned | decimation,
|  | bool | adapt,
|  | bool | reset
| ) |  |

## ~rls_filter_ff_impl()

gr::adapt::rls_filter_ff_impl::~rls_filter_ff_impl | ( |  | ) |

default

## Member Function Documentation

## error()

float gr::adapt::rls_filter_ff_impl::error | ( | const float & | desired,
|  | const float & | out
| ) |  |

protected

## get_adapt()

bool gr::adapt::rls_filter_ff_impl::get_adapt | ( |  | ) | const

override virtual

Implements gr::adapt::rls_filter_ff.

## get_delta()

float gr::adapt::rls_filter_ff_impl::get_delta | ( |  | ) | const

override virtual

Implements gr::adapt::rls_filter_ff.

## get_lambda()

float gr::adapt::rls_filter_ff_impl::get_lambda | ( |  | ) | const

override virtual

Implements gr::adapt::rls_filter_ff.

## get_reset()

bool gr::adapt::rls_filter_ff_impl::get_reset | ( |  | ) | const

override virtual

Implements gr::adapt::rls_filter_ff.

## get_skip()

unsigned gr::adapt::rls_filter_ff_impl::get_skip | ( |  | ) | const

override virtual

Implements gr::adapt::rls_filter_ff.

## get_taps()

const std::vector< float > & gr::adapt::rls_filter_ff_impl::get_taps | ( |  | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_adapt()

void gr::adapt::rls_filter_ff_impl::set_adapt | ( | bool | adapt | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_delta()

void gr::adapt::rls_filter_ff_impl::set_delta | ( | float | delta | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_lambda()

void gr::adapt::rls_filter_ff_impl::set_lambda | ( | float | lambda | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_reset()

void gr::adapt::rls_filter_ff_impl::set_reset | ( | bool | reset | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_skip()

void gr::adapt::rls_filter_ff_impl::set_skip | ( | unsigned | skip | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## set_taps()

void gr::adapt::rls_filter_ff_impl::set_taps | ( | const std::vector< float > & | new_taps | ) |

override virtual

Implements gr::adapt::rls_filter_ff.

## update_tap()

void gr::adapt::rls_filter_ff_impl::update_tap | ( | float & | tap,
|  | const float & | in
| ) |  |

protected

## work()

int gr::adapt::rls_filter_ff_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- rls_filter_ff_impl.h